#include <iostream>
#include <math.h>

using namespace std;

int main()
{int x, y, z, p, k=0, bcx=0, bcy=0, max, b=0, x1, y1;
    cin>>x;
    cin>>y;
    p=x%10;
    z=y%10;
    x1=x;
    y1=y;
    while(x>0)
    {   bcx++;
        x=x/10;
    }
    while(y>0)
    {   bcy++;
        y=y/10;
    }
    if(bcx>=bcy)
    max=bcx;
    else max=bcy;
    while(max>0)
    {
        if(p>z){
            b=b+p*pow(10,k);
            }
        if(p<z){
            b=b+z*pow(10,k);
        }
        if(p==z && p!=0){
            b=b+p*pow(10,k);
            k++;
            b=b+p*pow(10,k);
        }
        if(p==z && p==0){
           b=b+p*pow(10,k); 
        }
            x1=x1/10;
            y1=y1/10;
            p=x1%10;
            z=y1%10;
            k++;
            max--;
        
    }
    cout<< b;
    

    return 0;
}